/***************************************************************************
	                          		SoundAlsa.h
                             -------------------                                         
    begin                : Wed Dec 6 2000                                           
    copyright            : (C) 2000 SOT Finnish Software Engineering Ltd. 
    author		 : Anton Safonov (Maddy)                                         
    author email         : as@bestlinux.net                                          
    url			 : http://www.bestlinux.net                          
    email		 : linux@bestlinux.net                              

	       	      Best Linux - Linux from Finland.                      
                            http://bestlinux.net                            

 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/





#ifndef SOUNDALSA_H
#define SOUNDALSA_H



#include <qwidget.h>
#include <qframe.h>
#include <qradiobutton.h>
#include <qcombobox.h>
#include <qlabel.h>
#include <qdialog.h>
#include <qapplication.h>
#include <qlistbox.h>
#include <qlayout.h>
#include <qslider.h>
#include <qfile.h>
#include <qwindowdefs.h>




/**
  *@author Anton Safonov (Maddy)
  */

class SoundAlsa : public QWidget  {
   Q_OBJECT

public:             	

	SoundAlsa(QWidget *parent=0, const char *name=0);
	~SoundAlsa();
  /**  */
  void WriteAlsaConfModules();
	QString ConvertToLable(QString lblstr);
  /**  */
  void finish();
  /**  */
private:

  QVBoxLayout 	*LLeft;
  QHBoxLayout 	*LHField;
 	QVBoxLayout 	*LVLeftBox, *LVRightBox;
	QVBoxLayout		*LVLeftLbl, *LVRightLbl;
  QVBoxLayout 	*AMain;
  QComboBox 		*AListBox;
	QComboBox			*ParamBoxes[20];
	QLabel				*ParamLabels[20];

	QGridLayout		*ParamGrid;

//	GUIStyle			GStyles;
	QString				strMod;

	void AListBoxInit();
	void InitializeValues();

	int SoundCardID;

public slots:

	void ShowSelectedItem( int index );
  /**  */
  void testButtonClicked();


};

#endif
/**  */
