/***************************************************************************
                                 disksel.h
                             -------------------
    begin                : Thu Nov 11 1999
    copyright            : (C) 2000 SOT Finnish Software Engineering Ltd.
    author		           : Anton Safonov (Maddy)
    author email         : as@bestlinux.net
    url			             : http://www.bestlinux.net
    email		             : linux@bestlinux.net

	       	      Best Linux - Linux from Finland.
                            http://bestlinux.net

 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef DISKSELECTOR_H
#define DISKSELECTOR_H

#include "config.h"
#include "gblipage.h"

#include <qwidget.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qlist.h>
#include <qpixmap.h>
#include <qstring.h>
#include <qslider.h>
#include <qframe.h>
#include <qspinbox.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qlistview.h>
#include <qstrlist.h>
#include <qdict.h>

class PartitionView;


class DiskSelector : public GBLIPage {
    Q_OBJECT
public:
    DiskSelector(  PartitionView* pview_, QWidget *parent=0, const char *name=0 );
    ~DiskSelector();

public slots:
    void partitionTableChanged();
		void finish() {}

signals:
    void nextEnabled( QWidget*, bool);

private slots:
    void selectionChanged( QListViewItem * );
    void formatButtonClicked();

protected:
    void showEvent( QShowEvent * );
    void hideEvent( QHideEvent * );

private:
    void init();
    QListView* view;
    QString selectedDisk;
    QString formattedDisk;
    QPushButton* formatButton;
    PartitionView* pview;

};


#endif



