/***************************************************************************
                                finalpage.h
                             -------------------
    begin                : Fri Nov 5 1999                                           
    copyright            : (C) 2000 SOT Finnish Software Engineering Ltd. 
    author		           : Anton Safonov (Maddy)
    author email         : as@bestlinux.net                                          
    url			             : http://www.bestlinux.net
    email		             : linux@bestlinux.net

	       	      Best Linux - Linux from Finland.                      
                            http://bestlinux.net                            

 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

#ifndef FINALPAGE_H
#define FINALPAGE_H

#include "linlinehelp.h"
#include "gblipage.h"

#include <qwidget.h>
#include <qstring.h>

/**
  *@author Anton Safonov (Maddy)
  */

// last page with a manual
class FinalPage : public GBLIPage  {
		Q_OBJECT
public: 
		FinalPage( QWidget *parent, const char *name=0 );
		~FinalPage();

		// this function is called by GBLI when you want to get context
		// dependant help page
		// almost every GBLI page should know which help is corresponding to it
  	void setDocument( const QString& name );

public slots:
		// just stub ;)
		void finish() {}

private:
		// help area
		LInlineHelp *someText;
	
};

#endif








