/****************************************************************************
**
** $Id: lglobal.h,v 1.11 2000/02/09 14:43:45 mhk Exp $
**
** Copyright (C) 1999 Calderasystems, Inc
** All rights reserved.
**
** This file is part of the Caldera OpenLinux Installer.
** Original Implementation: 1999 by Troll Tech AS
**
** This file may be distributed under the terms of the Q Public License
** as defined by Troll Tech AS of Norway and appearing in the file
** LICENSE included in the packaging of this file.
**
*****************************************************************************/


#ifndef __L_GLOBAL_H__
#define __L_GLOBAL_H__


#include <qstring.h>


class LGlobal
{
public:

  static bool localDisplay() { return _localDisplay; };
  static void setLocalDisplay(bool local) { _localDisplay = local; };

  static bool showAnimation() { return _animation; };
  static void setShowAnimation(bool show) { _animation = show; };

  static bool trySound() { return _try_sound; };
  static void setTrySound(bool sound) { _try_sound = sound; };

  static bool probeMouse() { return _probeMouse; };
  static void setProbeMouse(bool probe) { _probeMouse = probe; };

  static bool probeNetwork() { return _probeNetwork; };
  static void setProbeNetwork(bool probe) { _probeNetwork = probe; };

  static QString xserver() { return _xserver; };
  static void setXserver(QString xs) { _xserver = xs; };

  static bool noSkip() { return _noskip; };
  static void setNoSkip(bool n) { _noskip = n; };
  
  static bool hires();
  static void forceHires(bool fh) { _forceHires = fh; };

  static bool demo() { return _demo; } ;
  static void setDemo(bool d) { _demo = d; };


private:
 
  static bool _localDisplay;
  static bool _animation;
  static bool _probeMouse, _probeNetwork;
  static bool _try_sound;
  static QString _xserver;
  static bool _hires;
  static bool _noskip;
  static bool _forceHires;
  static bool _demo;

};


QString i18n(const char* msgid);


#endif
