/****************************************************************************
**
** $Id: lispdetails.h,v 1.2 2000/01/12 09:59:28 mhk Exp $
**
** Copyright (C) 1999 Calderasystems, Inc
** All rights reserved.
**
** This file is part of the Caldera OpenLinux Installer.
** Original Implementation: 1999 by Troll Tech AS
**
** This file may be distributed under the terms of the Q Public License
** as defined by Troll Tech AS of Norway and appearing in the file
** LICENSE included in the packaging of this file.
**
*****************************************************************************/


#ifndef __L_ISPDETAILS_H__
#define __L_ISPDETAILS_H__

#include "liconloader.h"

#include <qdialog.h>
#include <qwidget.h>


#include "network.h"
#include "lispdata.h"


class LISPDetails : public QDialog{
  Q_OBJECT

public:

  LISPDetails(QWidget *parent);

  QLineEdit *name;
  QLineEdit *phone;
  AddressEdit *dns1, *dns2;
  QLineEdit *mail;
  QLineEdit *proxy;

  QCheckBox *ppp;

};


#endif
