/****************************************************************************
**
** $Id: lwriter.h,v 1.3 2000/02/16 11:35:58 mhk Exp $
**
** Copyright (C) 1999 Calderasystems, Inc
** All rights reserved.
**
** This file is part of the Caldera OpenLinux Installer.
** Original Implementation: 1999 by Troll Tech AS
**
** This file may be distributed under the terms of the Q Public License
** as defined by Troll Tech AS of Norway and appearing in the file
** LICENSE included in the packaging of this file.
**
*****************************************************************************/  


#ifndef __L_WRITER_H__
#define __L_WRITER_H__


#include <qobject.h>
#include <qstring.h>


class LWriter : public QObject
{
  Q_OBJECT

public:

  LWriter(QObject *parent, QString dir);

  QString directory() { return _dir; };


public slots:

  void write();


public:

  virtual void doWrite() = 0;
 

private:

  QString _dir;

};

extern bool makeDirs(QString path);

#endif
