/***************************************************************************
                          adslpage.h -  description
                             -------------------
    begin                : Thu Nov 11 1999
    copyright            : (C) 2000 SOT Finnish Software Engineering Ltd.
    author		           : Oleg Golovachov (Demiurg)
    author email         : og@bestlinux.net
    url			             : http://www.bestlinux.net
    email		             : linux@bestlinux.net

	       	      Best Linux - Linux from Finland.
                            http://bestlinux.net

 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef ADSLPAGE_H
#define ADSLPAGE_H

#include "config.h"

#include <qwidget.h>
#include <qframe.h>
#include <qlineedit.h>
#include <qlayout.h>
#include <qcombobox.h>
#include <netinet/in.h>
#include "configfile.h"
#include "sysconfigfile.h"
#include "network.h"
#include "isdnpage.h"

class QButtonGroup;
class QCheckBox;
class QRadioButton;
class LLabel;
class ADSLPage;
class QSocket;


class ADSLPage: public QWidget
{
    Q_OBJECT
public:
    ADSLPage( Netinfo *, QWidget * parent, const char * name = 0 );
    ~ADSLPage();

//    QString ip() { return ipEdit->text(); }
//    QString netmask() { return netmaskEdit->text(); }

/*    QString gateway() { return routerEdit->text(); }
    QString hostname() { return nameEdit->text(); }

    QString nameserver1() { return ns1Edit->text(); }
    QString nameserver2() { return ns2Edit->text(); }
    QString nameserver3() { return ns3Edit->text(); }
    QString nisDomain() { return nisEdit->text(); }

		QString proxy() { return proxyEdit->text(); }
		QString proxyport() { return proxyPortEdit->text(); }
		QString noproxyfor() { return noproxyforEdit->text(); }*/

//    Netinfo::Setup mode() const;

public slots:
    void setMode( int );
    void updateInfo();
    void updateWidgets();

private slots:
    void		addInputWidget(QWidget *);
    bool		eventFilter(QObject *, QEvent *);

private:
//    AddressEdit * ipEdit;
//    AddressEdit * netmaskEdit;

		QComboBox * devCombo;
		extLineEdit * userEdit;
		extLineEdit * passwdEdit;

public:
		QGridLayout * grid;

private:
    QButtonGroup * bg;
    Netinfo * info;
};


#endif
