/***************************************************************************
                                  hash.h
                             -------------------                                         
    begin                : Wed Jan 12 2000                                           
    copyright            : (C) 2000 SOT Finnish Software Engineering Ltd. 
    author		           : Anton Safonov (Maddy)
    author email         : as@bestlinux.net                                          
    url			             : http://www.bestlinux.net
    email		             : linux@bestlinux.net

	       	      Best Linux - Linux from Finland.                      
                            http://bestlinux.net                            

 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#ifndef H_HASH
#define H_HASH

#include "config.h"

#define HASHSIZE 201

struct hash_table;
typedef struct hash_table * hashTable;

struct hash_table *htNewTable(int size);
void htFreeHashTable(struct hash_table *ht);
int htInTable(struct hash_table *t, const char * dir, const char * base);
void htAddToTable(struct hash_table *t, const char * dir, const char * base);
void htPrintHashStats(struct hash_table *t);
int htNumEntries(struct hash_table *t);
unsigned int htHashStrings(const char *s, const char *t);
int in_table_aux(struct hash_table *t, int hash, const char * dir, const char * base);
void htRemoveFromTable(struct hash_table *t, const char * dir, const char * base);
void htHashStats(struct hash_table *t);

unsigned int hash_val(const char *s);

#endif
