/***************************************************************************
                             liconloader.h
                          -------------------
    begin                : Thu Nov 11 1999
    copyright            : (C) 2000 SOT Finnish Software Engineering Ltd.
    author		 : Anton Safonov (Maddy)
    author email         : as@bestlinux.net
    url			 : http://www.bestlinux.net
    email		 : linux@bestlinux.net

	       	      Best Linux - Linux from Finland.
                            http://bestlinux.net

 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef LICONLOADER_H
#define LICONLOADER_H

#include <qwidget.h>
#include <qlabel.h>
#include <qmovie.h>
#include <qlayout.h>
#include <qlist.h>
#include <qpixmap.h>
#include <qstring.h>
#include <qframe.h>

class LIconLoader
{
public:
    static QPixmap loadIcon( const QString& icon);
		static QPixmap loadStepIcon( const QString& icon );
    static QMovie loadMovie( const QString& movie);

    static void setLoadPath(const QString& path);
    static void setStepsPath(const QString& path);
    static QString getStepsPath(){
			return stepspath;
		}

private:
    static QString graphpath;
    static QString stepspath;
};

#endif

