/****************************************************************************
**
** $Id: lmodemdata.cpp,v 1.4 2000/01/12 14:46:45 mhk Exp $
**
** Copyright (C) 1999 Calderasystems, Inc
** All rights reserved.
**
** This file is part of the Caldera OpenLinux Installer.
** Original Implementation: 1999 by Troll Tech AS
**
** This file may be distributed under the terms of the Q Public License
** as defined by Troll Tech AS of Norway and appearing in the file
** LICENSE included in the packaging of this file.
**
*****************************************************************************/


//#include "lconfig.h"
#include "lmodemdata.h"


LModemData *LModemData::_data = 0;


LModemData::LModemData()
  : _device("/dev/ttyS0"), _vendor(""), _model("None"),
    _softcmd(""), _hardcmd(""), _init("ATZ"), _speed(56000), _flow(Hardware), _probed(false),
    _exists(false)
{
}


LModemData *LModemData::data()
{
  if (!_data)
    _data = new LModemData;

  return _data;
}



