/****************************************************************************
**
** $Id: lmodemdb.h,v 1.2 2000/01/12 09:59:30 mhk Exp $
**
** Copyright (C) 1999 Calderasystems, Inc
** All rights reserved.
**
** This file is part of the Caldera OpenLinux Installer.
** Original Implementation: 1999 by Troll Tech AS
**
** This file may be distributed under the terms of the Q Public License
** as defined by Troll Tech AS of Norway and appearing in the file
** LICENSE included in the packaging of this file.
**
*****************************************************************************/


#ifndef _L_MODEMDB_H_
#define _L_MODEMDB_H_


#include <qstring.h>


#include "lmodemdata.h"


class LModemEntry
{
public:
 
  LModemEntry() {};

  QString model;
  unsigned long speed;
  QString softCmd, hardCmd;
  QString init;
	
	QString	device; //used only for modems with non-standard nodes
									//also used as case "label" in Modem-class

};


class LModemDB
{
public:

  LModemDB(QString filename);

  QList<LModemEntry> *entries() { return &db; };


private:

  QList<LModemEntry> db;
  
};


#endif
