/***************************************************************************
                                setupscsi.cpp
                             -------------------                                         
    begin                : Tue Jan 4 2000                                           
    copyright            : (C) 2000 SOT Finnish Software Engineering Ltd. 
    author		           : Anton Safonov (Maddy)
    author email         : as@bestlinux.net                                          
    url			             : http://www.bestlinux.net
    email		             : linux@bestlinux.net

	       	      Best Linux - Linux from Finland.                      
                            http://bestlinux.net                            

 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

#include "setupscsi.h"

#include <qlayout.h>

SetupSCSI::SetupSCSI( QWidget * parent, const char * name )
    : QWidget( parent, name )
{
  gb = new QButtonGroup( 0 );

  QHBoxLayout * lh = new QHBoxLayout( this, 0, 6 );

  QVBoxLayout * l = new QVBoxLayout( 6 );
	lh->addStretch( 5 );
  lh->addLayout( l, 2 );
	lh->addStretch( 5 );

  QHBoxLayout* lrh = new QHBoxLayout();
  l->addStretch();
  l->addLayout( lrh );
  l->addStretch();

  QVBoxLayout *lr = new QVBoxLayout();
  lrh->addStretch( 1 );
  lrh->addLayout( lr, 5 );
  lrh->addStretch( 1 );
	
/*	rbFull = new QRadioButton( tr( "Full installation (recommended)"), this );
  lr->addWidget( rbFull, 3, AlignTop + AlignLeft );
  gb->insert( rbFull, full );
	rbTypical = new QRadioButton( tr( "Typical installation"), this );
  lr->addWidget( rbTypical, 3, AlignTop + AlignLeft );
  gb->insert( rbTypical, typical );
	rbMin = new QRadioButton( tr( "Minimal installation"), this );
  lr->addWidget( rbMin, 3, AlignTop + AlignLeft );
  gb->insert( rbMin, base );
	rbCustom = new QRadioButton( tr( "Custom" ), this );
  lr->addWidget( rbCustom, 3, AlignTop + AlignLeft );
  gb->insert( rbCustom, custom );*/

  connect( gb, SIGNAL(clicked(int)), this, SLOT(setSelected(int)) );

//	rbFull->setChecked( true );
//  setSelected( full );
}

SetupSCSI::~SetupSCSI() {
}
